Subject: [PATCH 3/3] Input: bu21013_ts - Add support for Device Tree booting

From: [email-masked] (Lee Jones)
Date: Thu, 29 Nov 2012 12:00:00 +0000

On Thu, 29 Nov 2012, Mark Brown wrote:

> On Thu, Nov 29, 2012 at 10:08:08AM +0000, Lee Jones wrote:
> > On Wed, 28 Nov 2012, Mark Brown wrote:
> 
> > > The I2C subsystem guesses at a compatible string by default but it's
> > > much better to explicitly set one as conflicts do arise from time to
> > > time (eg, Wolfson parts are called WMxxxx but the WM prefix is also used
> > > by at least WonderMedia).
> 
> > It uses the exact device name, rather than guessing. I don't think
> > you're allowed to have duplicate device names in the system, or there
> > would be clashes at registration time.
> 
> > The system is the same for platform data and DT alike.
> 
> Right, which is why this mostly works, but it's still better to provide
> an actual compatible string which we can be 100% certain will avoid
> conflicts.  This is very low cost when one is already defining DT
> bindings.

I know that it's an easy thing to do, but I'm more worried about
what would happen if the an I2C device is registered using the
current way (stripping the compatible string and using it as a
client look-up) and we also provide a compatible entry in the
driver itself. Do you know if there is any danger of duplicate
registration or suchlike?

> > Hence, there should be no need to have a compatible string in any i2c
> > driver registration information.
> 
> We're getting away with it at present (and frankly nobody's going to
> build in two different drivers for a chip of the same name for practical
> systems anyway).

Right. In the same way as we're getting away with it when we
register a platform_device using the register/add routines.

-- 
Lee Jones
Linaro ST-Ericsson Landing Team Lead
Linaro.org ? Open source software for ARM SoCs
Follow Linaro: Facebook | Twitter | Blog